<html>
<head>
<title>RManNotes: Stochastic Patterns: Pure</title>
</head>

<body bgcolor="#f9f9b1" background="notepad.gif" link="801010" vlink="101080" alink="108010"> <img alt="RManNotes" align=center src="header.gif">

<img align=center hspace=10 src="stoch_patterns.gif">

<p><img src="black_line.gif"></p>
<p>
<a href="turbulence.html">previous</a>
|
<a href="perturbed.html">next</a>
|
<a href="index.html">stochastic patterns: <b>contents</b></a>
|
<a href="../index.html">rmannotes: <b>top</b></a>
</i>
</p>
<p><img src="black_line.gif"></p>

<h1>Pure Stochastic Patterns</h1>

<p>
Patterns which appear to have no regularity or shape are
 deemed "pure" stochastic functions. They include clouds, marble, fire,
stone, granite, etc.
</p>

<p>
<i><b>rmarble</b></i> 
is an example of a shader with a pure stochastic pattern. The
marble-like coloring is created by computing turbulence and using
that value to index into a color spline. There is 
only one parameter, <code>veining</code>, besides the plastic
illumination model parameters. <code>veining</code> controls the 
frequency of the marble -- higher frequency turbulence yields more "veins."
</p>

<p align=center><img hspace=5 src="rmarble.1.gif"><img src="rmarble.2.gif">
<br><a href="rmarble.sl">rmarble.sl</a></p>

<h2>Displaced Turbulence</h2>

<p align=center><a href="dturb.512.jpg"><img src="dturb.128.gif"></a>
<br><a href="dturb.sl">dturb.sl</a>
</p>

<h2>Fire</h2>

<p align=center><a href="fire.512.jpg"><img src="fire.128.gif"></a>
<br><a href="fire.sl">fire.sl</a> 
<br>(<a href="fire.mv">fire.mv</a>, 370K SGI Movie)</p>

<p><img src="black_line.gif"></p>
<p>
<a href="turbulence.html">previous</a>
|
<a href="perturbed.html">next</a>
|
<a href="index.html">stochastic patterns: <b>contents</b></a>
|
<a href="../index.html">rmannotes: <b>top</b></a>
</i>
</p>

<p><img src="black_line.gif"></p> <small> <p><i>RManNotes</i> is Copyright &copy; 1995, 1996 Stephen F. May</p> <p> <i>Any comments or suggestions appreciated.</i> <address><a href="http://www.cgrg.ohio-state.edu/~smay">Steve May</a> (<a href="mailto:smay@cgrg.ohio-state.edu">smay@cgrg.ohio-state.edu</a>)</address> </p> </small>

<p align=right><small><i>Last Modified: 5/8/97</i></small></p>

</body>
</html>
